<style>
	.signList {
		background-color: #F3F5F7;
		padding: 15px;
	}

	.signList .activeList {
		background-color: #fff;
		margin-bottom: 15px;
		padding: 15px;
	}

	.signList .activeTop {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}

	.signList .activeLeftTitle {
		color: #111111;
		font-size: 14px;
		font-weight: bold;
	}

	.signList .activeBtm {
		display: flex;
		margin-top: 10px;
		justify-content: space-between;
	}

	.signList .activeLeftImg {
		width: 111px;
		height: 70px;
		flex-shrink: 0;
	}

	.signList .activeRight {
		margin-left: 15px;
		color: #B9B9B9;
		font-size: 12px;
		width: 100%;
	}
</style>
<template>
	<view class="signList" style="height:100vh;">
		<u-empty v-if="dataList.length==0" text="暂无数据" mode="data"></u-empty>
		<scroll-view v-else :scroll-y="true" :enable-back-to-top="true" :enable-flex="true" @scrolltolower="lower" :style="{ 'height': `calc(100%)`}">
			<view>
				<view class="activeList" v-for="(item,index) in dataList" :key="index">
					<view>联系人：{{item.LinkMan}}</view>
					<view style="margin:10px 0">联系电话：{{item.LinkTel}}</view>
					<view>职务：{{item.Post}}</view>
					<view>所属国籍/省/市：{{item.CountryInfo}}</view>
				</view>
			</view>
			<view style="padding:10px 0;">
				<u-loadmore :status="status" :load-text="loadText" bg-color="#F3F5F7" :font-size="24" :margin-top="0"
				 :margin-bottom="0" />
			</view>
		</scroll-view>
	</view>
</template>
<script>
	export default {
		data() {
			return {
				pageTitle: '我的活动',
				qmsg: {
					Id: 0
				},
				dataList: [],
				loadText: {
					loadmore: "轻轻上拉，加载更多",
					loading: "努力加载中",
					nomore: "没有更多了",
				},
				status: '',
			}
		},
		created() {},
		mounted() {
			uni.setNavigationBarTitle({
				title: this.pageTitle,
			});
		},
		onLoad(option) {
			this.qmsg.Id = option.Id;
			this.getList();
		},
		methods: {
			getList() {
				this.request2({
						url: "/api/AppletTrade/GetCommerceActivity",
						data: this.qmsg,
					},
					(res) => {
						console.log(res);
						if (res.resultCode == 1) {
							this.dataList = res.data.CommerceConsultList
						}
					}
				);
			},
			//删除用户
			deleteUser(item) {
				var delMsg = {
					Id: item.Id
				}
				this.request2({
						url: "/api/AppletTrade/DeleteTrdceConsult",
						data: delMsg,
					},
					(res) => {
						if (res.resultCode == 1) {
							this.getList();
						}
					}
				);
			},
			//修改用户信息
			setUser(item) {
				var postMsg = {
					Id: item.Id,
					ActivityId: item.ActivityId,
					LinkMan: item.LinkMan,
					LinkTel: item.LinkTel,
					Post: item.Post,
					CountryInfo: item.CountryInfo
				}
				this.request2({
						url: "/api/AppletTrade/SetTradeConsult",
						data: postMsg,
					},
					(res) => {
						if (res.resultCode == 1) {
							this.getList();
						}
					}
				);
			}
		}
	}
</script>
